temporalSimu {ClueR} | R Documentation

## Temporal data simulation

### Description

This function simulates time-series data using 14 pre-defined temporal profile templates. Type 'temporalSimu' to see the details of the templates.

### Usage

    temporalSimu(seed = unclass(Sys.time()), groupSize, sdd, numGroups)

### Arguments

`seed` | to seed the simulation. Default is current system time.
`groupSize` | the number of the temporal profiles to simulate from each template. The total number of profiles will be the number of templates used times the size of each group.
`sdd` | the standard deviation to be used to generate randomness for each temporal profile.
`numGroups` | number of templates to be used for generating data.

### Value

a matrix containing simulated time-series dataset.

### Examples

    # simulate a time-series data with four distinctive profile groups and each group with
    # a size of 500 phosphorylation sites

    simulated.temporal <- temporalSimu(seed=1, groupSize=500, sdd=1, numGroups=4)

[Package ClueR version 1.4 Index]